/*
********************************************************************
* IBM Confidential                                                 *
*                                                                  *
* OCO Source Materials                                             *
*                                                                  *
* 5724-E76 and 5724-E77                                            *
*                                                                  *
* (C) Copyright IBM Corp. 2001, 2003                               *
*                                                                  *
* The source code for this program is not published or otherwise   *
* divested of its trade secrets, irrespective of what has been     *
* deposited with the U.S. Copyright Office.                        *
********************************************************************
*/
package com.ibm.wps.portletservice.portletmenu;

import com.ibm.wps.portlet.menu.MenuTreeException;

/**
 * <P>The <CODE>MemoryMenuTreeException</CODE> class is derived from {@link MenuTreeException}
 * and can be thrown by methods of a {@link com.ibm.wps.portlet.menu.MenuTree} instance 
 * created from {@link com.ibm.wps.portletservice.portletmenu.MemoryMenuService}
 * and by methods of the controller interfaces {@link com.ibm.wps.portlet.menu.MenuTreeTopologyCtrl} 
 * and {@link com.ibm.wps.portlet.menu.MenuTreeInfoCopyCtrl}.</P>
 * 
 * 
 * @ibm-spi
 * @since 5.0
 */

public class MemoryMenuTreeException extends MenuTreeException
{
    /** Copyright statement. */
    private static final String COPYRIGHT = com.ibm.wps.Copyright.SHORT;

    // This is a serializable class. All changes to this class need to be done 
    // on accordance to the Portal Policy for Serialization Compatability.
    // If you are not certain whether your changes to this class affect its 
    // serialization compatability, please consult any of the chief programmers.
    static final long serialVersionUID = 5100L;
    
    /**
     * MemoryMenuTreeException constructor.
     */
    public MemoryMenuTreeException()
    {
        super();
    }
    /**
     * MemoryMenuTreeException constructor.
     * 
     * @param id     exception message.
     */
    public MemoryMenuTreeException(String id)
    {
        super(id);
    }
}

